:root {
	--blue: #0f12a8;
	--red: #f20c14;
	--white: #fcfcfc;
}
@font-face {
	font-family: "Brilk Sans";
	src: url("./src/font/BrilkSans-ExtraBlack.ttf") format("truetype");
	font-weight: bold;
}
@font-face {
	font-family: "Brilk Sans";
	src: url("./src/font/Brilk-Medium.ttf") format("truetype");
	font-weight: medium;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}
body {
	padding-block: 1rem;
	display: grid;
	grid-template-rows: 60px 1fr 60px;
	min-height: 100vh;
	background: var(--red);
	font-family: "Brilk Sans";
}
/* ------ Header Styles ------ */
.social-container {
	width: 100%;
	display: flex;
	justify-content: flex-end;
	align-items: center;
	gap: 30px;
	padding-inline: 5%;
}
.social-link {
	cursor: pointer;
	text-decoration: none;
}
.fa-brands {
	color: var(--white);
	font-size: 2rem;
	transition: transform 0.2s ease-in-out, color 0.2s ease-in-out;
	animation: fadeInDown;
	animation-duration: 1s;
}
.fa-square-facebook:hover {
	color: #1877f2;
	transform: scale(1.5);
}
.fa-instagram:hover {
	background: #d6249f;
	background: radial-gradient(
		circle at 30% 107%,
		#fdf497 0%,
		#fcaf45 5%,
		#fd5949 45%,
		#d6249f 60%,
		#405de6 90%
	);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	transform: scale(1.5);
}
/* ------ Main Styles ------ */
main {
	width: 100%;
	display: grid;
	place-content: center;
}
.main-container {
	display: flex;
	justify-content: center;
}
.logo {
	height: auto;
	width: 60%;
	animation: bounce;
	animation-duration: 2s;
}
/* ------ Footer Styles ------ */
.footer {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 10%;
	color: var(--white);
	padding-inline: 5%;
}
.footer-info {
	display: flex;
	align-items: center;
	gap: 10px;
	animation: fadeInUp;
	animation-duration: 1s;
}
.footer-info > i {
	font-size: 1.3rem;
}
.footer-info > a {
	line-height: 1.1;
	text-decoration: none;
	color: var(--white);
	max-width: 150px;
}

@media screen and (max-width: 575px) {
	body {
		grid-template-rows: 60px 1fr 90px;
	}
	.footer {
		flex-direction: column;
		align-items: flex-start;
		justify-content: center;
	}
}
